using Pms.EventLibrary;
using Pms.UserEvent.StepBookEvent;
using Pms.UserEvent.TaskBookEvent;
using Pms.UserEvent.SystemEvent;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Pms.UserEvent.OrderEvent;
using Pms.InternalInterface;

namespace Pms.UserEvent
{
    public class CUserEventHost: IPmsEvent
    {
        public CUserEventHost()
        {
            // 不要在此文件中打开用户线程 等待PMS线程全部正常启动事件触发后 再打开用户线程
            // 在 Pms.UserEvent.SystemEvent.CSystemEvent 开启用户线程
        }

        public void Initial()
        {
            // 不要在此文件中打开用户线程 等待PMS线程全部正常启动事件触发后 再打开用户线程
            // 在 Pms.UserEvent.SystemEvent.CSystemEvent 开启用户线程

            InitUserConfig();       // 初始化用户配置
            InitOrderEvent();       // 注册任务事件
            InitTaskBookEvent();    // 注册任务簿事件
            InitStepBookEvent();    // 注册步骤簿事件
            InitSystemEvent();      // 注册系统事件
        }

        public void Dispose()
        {
        }

        /// <summary>
        /// 加载用户配置文件
        /// </summary>
        private void InitUserConfig()
        {
        }
        /// <summary>
        /// 初始化 注册系统事件
        /// </summary>
        private void InitSystemEvent()
        {
            CSystemEvent sSystemEvent = new CSystemEvent();
        }
        /// <summary>
        /// 初始化 注册步骤事件
        /// </summary>
        private void InitStepBookEvent()
        {
            CStepBookEvent sStepBookEvent = new CStepBookEvent();

        }
        /// <summary>
        /// 初始化注册 任务簿事件
        /// </summary>
        private void InitTaskBookEvent()
        {
            CTaskBookEvent sTaskBookEvent = new CTaskBookEvent();
        }
        /// <summary>
        /// 初始化注册 任务事件
        /// </summary>
        private void InitOrderEvent()
        {
            COrderEvent sOrderEvent = new COrderEvent();
        }
    }
}
